Skip to main content
POST
Get all transactions by network

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Path Parameters

network
string
required

Query Parameters

page
string

Page number "offset"

Example:

"0"

pageSize
string

Page size

useScroll
boolean
default:false

Whether to use scroll API for pagination

scrollBatchSize
number
default:100

Batch size for scroll requests

hasMore
boolean

Whether there are more results available (only when useScroll=true)

network
string

Network identifier

address
string

Address to filter transactions

startTime
string

Start time filter (ISO format)

endTime
string

End time filter (ISO format)

msgTypes
string

Comma-separated message types to filter

status
string

Transaction status (e.g., "success", "failed")

Body

application/json
scrollId
string

Scroll ID for pagination (only when useScroll=true)

Response

200 - application/json

List of transactions for the specified network.

transactions
object[]
required

Array of transactions

scrollId
string

Scroll ID for pagination (only when useScroll=true)

hasMore
boolean

Whether there are more results available (only when useScroll=true)

count
number

Total count of transactions

Last modified on July 22, 2026